Queries for quarantined messages using specific filter conditions.
HTTP request
GET https://mailadminquarantine.googleapis.com/v1/{parent=customers/*}/quarantinedMessages
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource, which owns this collection of messages. Format: customers/{customer_id} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of items to return. |
pageToken |
Optional. The nextPageToken value returned from a previous List request. |
Request body
The request body must be empty.
Response body
Response message for [quarantinedMessages.list][].
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"quarantinedMessages": [
{
object ( |
| Fields | |
|---|---|
quarantinedMessages[] |
The list of quarantined messages matching the request. |
nextPageToken |
A token to retrieve the next page of results. |
unreachable[] |
Accounts for which the service could not retrieve quarantined messages. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/gmail.admin.quarantinehttps://www.googleapis.com/auth/gmail.admin.quarantine.readonly
For more information, see the Authorization guide.